import { Animate } from './Animate';
import { Motion } from './Motion';
import { Ease, EaseConfig } from './Ease';
import { Flow } from './Flow';
import { Plugin, EasematePlugin } from './Plugin';
import { Modulate } from './Modulate';
import { EasemateConfig } from './utils/Config';
import type { ExtendedTarget, GetProps, GetConfig, CoreProps, CoreTarget, CoreBaseTarget, CoreConfig, CoreEasings, EasingFunction, Interpolator } from './types';
export declare class Easemate {
    #private;
    static plugins: Map<string, Plugin<import("./Plugin").CoreTarget, number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | {
        [x: string]: number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | any | undefined;
    } | (number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | {
        [x: string]: number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | any | undefined;
    })[], CoreConfig<import("./Plugin").CoreTarget, number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | {
        [x: string]: number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | any | undefined;
    } | (number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | {
        [x: string]: number | import("./types").CorePropsIncremental | ((index: number, initial: number, allInitials: number[]) => number) | any | undefined;
    })[]>>>;
    static customEasings: Map<string, EasingFunction>;
    static pausedAnimations: Set<string>;
    static get animate(): Animate<CoreTarget>;
    static mapEasing(easing: CoreEasings | string): EasingFunction;
    static registerEasing(name: string, fn: EasingFunction): void;
    static mate(...plugins: Plugin[]): void;
    static flow<T>(config?: Partial<CoreConfig<T, unknown>>): Flow<T>;
    static init(config: Partial<EasemateConfig>): void;
    static reset(): void;
}
export declare const ease: <T extends ExtendedTarget>(target: T | T[], config?: Partial<GetConfig<T>>) => Ease<T>;
export declare const flow: typeof Easemate.flow;
export declare const mate: typeof Easemate.mate;
export { Motion, Animate, Ease, Plugin, Modulate, EasemateConfig };
export type { EasematePlugin, EaseConfig, CoreProps, CoreTarget, CoreBaseTarget, CoreConfig, CoreEasings, EasingFunction, Interpolator, ExtendedTarget, GetProps, GetConfig, };
