export declare const isObject: (value: unknown) => value is Record<string, unknown>;
export declare const isArray: <T>(value: unknown) => value is T[];
export declare const isNumber: (value: unknown) => value is number;
export declare const isFunction: <T extends (...args: unknown[]) => unknown>(value: unknown) => value is T;
export declare const isUndefined: (value: unknown) => value is undefined;
export declare const isString: (value: unknown) => value is string;
export declare const isNil: (value: unknown) => value is null | undefined;
export declare const mergeDeep: <T extends Record<string, unknown>>(target: T, source: Partial<T>, immutable?: boolean) => T;
export declare const lerp: (start: number, end: number, t: number) => number;
export declare const isBoolean: (value: unknown) => value is boolean;
export declare const interpolate: <T>(start: T, end: T, progress: number, interpolator?: (a: T, b: T, t: number) => T) => T;
export declare const clamp: (value: number, min: number, max: number) => number;
export declare const parseIncremental: (base: number, increment: string) => number;
export declare const normalize: (value: number, min: number, max: number) => number;
export declare const mapRange: (value: number, inMin: number, inMax: number, outMin: number, outMax: number) => number;
export declare const round: (value: number, decimals?: number) => number;
