import { Animate, Keyframe } from './Animate';
import { Motion } from './Motion';
import type { ExtendedTarget, GetConfig } from './types';
export type EaseConfig<T> = GetConfig<T> & {
    onProgress?: (progress: number, targets: T[]) => void;
};
export declare class Ease<T extends ExtendedTarget> extends Motion<T> {
    #private;
    getInitialTargets(): T[];
    constructor(targets: T | T[], config: Partial<GetConfig<T>> | undefined, animate: Animate<T>);
    update(progress: number): T[];
    play(duration?: number, delay?: number | NonNullable<GetConfig<T>["delay"]>, keyframes?: Keyframe<T>[]): this;
    getInterpolatedValue(progress: number): T[];
    getCurrent(): T[];
    getProgress(): number;
}
