import { Animate, Keyframe } from './Animate';
export declare abstract class Motion<T> {
    #private;
    abstract getInitialTargets(): T[];
    protected id: string | null;
    constructor(animate: Animate<T>);
    abstract update(progress: number): T[];
    play(duration?: number, delay?: number, keyframes?: Keyframe<T>[]): this;
    resume(): this;
    pause(): this;
    kill(): this;
    setProgress(progress: number): this;
    getAnimate(): Animate<T>;
    getId(): string | null;
    getState(): {
        progress: number;
        targets: T[];
        startTime: number;
    } | undefined;
}
