import type { EasematePlugin } from '../Plugin';
import type { Interpolator } from '../types';
export type HookCallerContext = any;
export interface EasemateConfigProps {
    pauseOnHidden: boolean;
    rate: number;
    debug: boolean;
    precision: number | null;
    defaultDuration: number;
    defaultEase: string;
    autoplay: boolean;
    smoothing: boolean;
    useSubFrames: boolean;
    maxFps: number;
    smoothingFactor: number | 'linear' | 'exponential' | 'cubic';
}
export declare class PluginHookRegistry {
    static hooks: EasematePlugin<any, any, any>[];
    static register<T, P, C>(plugin: EasematePlugin<T, P, C>): void;
    static clear(): void;
    static getAll(): EasematePlugin<any, any, any>[];
}
export declare class EasemateConfig {
    #private;
    static get<K extends keyof EasemateConfigProps>(key: K): EasemateConfigProps[K];
    static set<K extends keyof EasemateConfigProps>(key: K, value: EasemateConfigProps[K]): void;
    static getAll(): Readonly<EasemateConfigProps>;
    static reset(config?: Partial<EasemateConfigProps>): void;
    static registerInterpolator<T>(type: T, interpolator: Interpolator<T>): void;
    static getInterpolator<T>(type: T): Interpolator<T> | undefined;
    static callPluginHooks<T, P, C>(hookName: keyof EasematePlugin<P>, instance: HookCallerContext, target: T, props: P, config: C, result?: unknown): void;
}
